# Update current user's clan

Updates a current user's clan via user attributes. Claims all rewards from reward chains that were not claimed for a previous clan and returns them in the response. If the user was in a clan and now is not — their inclusion in the clan will be revoked. If the user changed the clan — the clan will be changed.  
  Note
    This API call uses a user JWT for authorization.
    Include the token in the Authorization header in the following format: Bearer &lt;user_JWT&gt;. For more information about user JWT, see the Security block for this call.

Endpoint: PUT /v2/project/{project_id}/user/clan/update
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID.

## Response 200 fields (application/json):

  - `reward` (array)

  - `reward.sku` (string)
    Unique item ID. The SKU may contain only lowercase and uppercase Latin alphanumeric characters, periods, dashes, and underscores.

  - `reward.name` (string)
    Item name.
    Example: "Super box"

  - `reward.type` (string)
    Type of item.
    Example: "bundle"

  - `reward.description` (string)
    Item description.
    Example: "Super box with items"

  - `reward.image_url` (string)
    Image URL.

  - `reward.quantity` (integer)
    Item quantity.
    Example: 2

  - `reward.bundle_type` (string)
    Bundle type. Returned if an item type is a bundle.
    Enum: "standard", "virtual_currency_package"

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"


